Package tigase.auth.callbacks

## Interface CallbackHandlerFactoryIfc

- All Known Implementing Classes:
    `CallbackHandlerFactory`

      public interface CallbackHandlerFactoryIfc

  Created by andrzej on 20.03.2017.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.security.auth.callback.CallbackHandler` | `create​(java.lang.String mechanismName, XMPPResourceConnection session, NonAuthUserRepository repo)` |
    `default javax.security.auth.callback.CallbackHandler` | `create​(java.lang.String mechanismName, XMPPResourceConnection session, NonAuthUserRepository repo, java.util.Map<java.lang.String,​java.lang.Object> settings)` | Deprecated.

- - ### Method Detail

    - #### create

          javax.security.auth.callback.CallbackHandler create​(java.lang.String mechanismName,
                                                              XMPPResourceConnection session,
                                                              NonAuthUserRepository repo)
                                                       throws java.lang.ClassNotFoundException,
                                                              java.lang.InstantiationException,
                                                              java.lang.IllegalAccessException

      Throws:
        `java.lang.ClassNotFoundException`
        `java.lang.InstantiationException`
        `java.lang.IllegalAccessException`

    - #### create

          @Deprecated
          default javax.security.auth.callback.CallbackHandler create​(java.lang.String mechanismName,
                                                                      XMPPResourceConnection session,
                                                                      NonAuthUserRepository repo,
                                                                      java.util.Map<java.lang.String,​java.lang.Object> settings)
                                                               throws java.lang.ClassNotFoundException,
                                                                      java.lang.InstantiationException,
                                                                      java.lang.IllegalAccessException

      Deprecated.
      Throws:
        `java.lang.ClassNotFoundException`
        `java.lang.InstantiationException`
        `java.lang.IllegalAccessException`